/*
Theme Name:   	Storefront Child Theme
Theme URI:    	https://github.com/stuartduff/storefront-child-theme
Author:       	Stuart Duff
Author URI:     http://stuartduff.com
Template:     	storefront
Description:  	This is a blank child theme for WooThemes StoreFront theme
Version:      	1.0.0
License:      	GNU General Public License v2 or later
License URI:  	http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  	storefront
Tags:         	black, white, light, two-columns, left-sidebar, right-sidebar, responsive-layout, custom-background, custom-colors, custom-header, custom-menu, featured-images, full-width-template, threaded-comments, accessibility-ready
This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share what you've learned with others.
Storefront is based on Underscores http://underscores.me/, (C) 2012-2014 Automattic, Inc.
Resetting and rebuilding styles have been helped along thanks to the fine work of
Eric Meyer http://meyerweb.com/eric/tools/css/reset/index.html
along with Nicolas Gallagher and Jonathan Neal http://necolas.github.com/normalize.css/
FontAwesome License: SIL Open Font License - http://scripts.sil.org/OFL
Images License: GNU General Public License v2 or later
*/
/*
 * Add your own custom css below this text.
 */

/* ---------- Upper panel ---------- */

.upper-panel {
	background: #07113D;
	color: #fff;
	font-size: 16px !important;
	font-weight: bold !important;
	text-transform: uppercase;
}

.upper-panel .col-full {
	display: flex;
	justify-content: right;
	align-items: center;
}

.upper-panel__menu ul {
	list-style: none;
	padding: 0;
	margin: 0;
	text-align: right;
}

.upper-panel__menu ul li a {

}

.col-full,
.wrapper {
	max-width: 1364px;
	margin: auto;
}

/* ---------- Header ---------- */

header {
	padding: 20px 0;
}

header .wrapper {
	display: flex;
	align-items: center;
	justify-content: space-between;
	flex-wrap: wrap;
}

/* ---------- Main menu ---------- */

.main-navigation {
	width: 33.33333%;
}

.main-navigation ul.menu, .main-navigation ul.nav-menu {
	margin-left: 0 !important;
	
}

.main-navigation ul.menu > li > a, .main-navigation ul.nav-menu > li > a {
	color: #000;
	font-size: 20px;
	font-weight: bold;
	text-transform: uppercase;
}

.main-navigation--right {
	text-align: right;
}

.main-menu ul {
	list-style: none;
	padding: 0;
	margin: 0;
	text-align: right;
	line-height: 50px;
}

.main-menu ul li a {
	color: #000;
	font-size: 20px;
	font-weight: bold;
	text-transform: uppercase;
}

.logo img {
	max-width: 270px;
	height: auto;
}

.secondary-navigation {
	margin: 0;
}

a.cart-contents {
	color: #fff !important;
	min-width: 200px;
}

.widget_shopping_cart p.total, .widget_shopping_cart p.buttons,
.widget_shopping_cart .product_list_widget li {
	padding: 1em !important;
}

.secondary-navigation ul.menu a {
	color: #fff;
}

.secondary-navigation ul.menu ul a {
	color: #666;
}

.secondary-navigation .menu {
	font-size: inherit !important;
}

.site-header-cart .cart-contents::after {
	margin: 0 0 0 20px;
}

/* ---------- hero ---------- */

.wp-block-cover {
	border-radius: 5px;
}

/* ---------- Product category ---------- */

.product-category a {
	position: relative;
	height: 300px;
	display: block;
}

.product-category a img {
	-o-object-fit: cover;
	-o-object-position: 50% 50%;
	-webkit-transition: -webkit-transform .3s;
	display: block;
	height: 100%;
	left: 0;
	object-fit: cover;
	object-position: 50% 50%;
	position: absolute;
	top: 0;
	transition: -webkit-transform .3s;
	transition: transform .3s;
	transition: transform .3s,-webkit-transform .3s;
	width: 100%;
}

.product-category a:before {
	content: "";
	background: linear-gradient(transparent, rgba(0,0,0,0.7));
	bottom: 0;
	right: 0;
	left: 0;
	display: block;
	height: 200px;
	position: absolute;
	z-index: 1;
	border-radius: 0 0 5px 5px;
}

.woocommerce-loop-category__title {
	z-index: 2;
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	padding: 20px;
	color: #fff;
	text-transform: uppercase;
	font-weight: bold !important;
	font-size: 21px !important;
}

mark {
	color: #3397db !important;
}

h1, h2, h3, h4, h5, h6, .wc-block-grid__product-title {
	color: #333333;
	font-weight: bold;
	text-transform: uppercase;
}

.site-footer a:not(.button) {
	color: #333333;
	text-transform: uppercase;
	font-weight: bold;
	text-decoration: none;
}

.woocommerce-Price-amount {
	color: #26B1E3;
	text-transform: uppercase;
	font-weight: bold;
}

.about-container {
	max-width: 1080px;
	margin: 100px auto 0 auto;
}

.about-block {
	padding: 50px;
	color: #26B1E3;
	text-transform: uppercase;
	border-radius: 10px;
	box-shadow: 0 3px 20px rgba(38,177,227,0.2);
}

h4 {
	background: #07113D;
	display: block;
	font-size: 20px;
	font-weight: bold;
	text-transform: uppercase;
	color: #fff;
	padding: 13px;
	text-align: center;
	margin: 0 0 40px 0;
}

a:focus, button:focus, .button.alt:focus, input:focus, textarea:focus, input[type="button"]:focus, input[type="reset"]:focus, input[type="submit"]:focus, input[type="email"]:focus, input[type="tel"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus {
	outline-color: transparent !important;
}

.hentry .entry-content .wp-block-button .wp-block-button__link, .editor-styles-wrapper .wp-block-button .wp-block-button__link {
	border-radius: 10px !important;
	text-transform: uppercase;
	font-weight: bold !important;
}

footer .widget .widget-title {
	background: #07113D;
	display: block;
	font-size: 20px;
	font-weight: bold;
	text-transform: uppercase;
	color: #fff;
	padding: 13px;
	text-align: center;
	margin: 0 0 40px 0;
}

.footer-widgets.col-3 .block {
	width: 33.3333% !important;
	float: left;
	margin: 0 !important;
}

.footer-widgets.col-4 .block {
	width: 25% !important;
	float: left;
	margin-right: 0 !important;
}

footer .textwidget, footer .product_list_widget, .menu-stopka-menu-container {
	padding: 0 10px;
}

.wc-block-grid__product-image {
	position: relative;
	height: 300px;
}

.wc-block-grid__product-image img {
	-o-object-fit: cover;
	-o-object-position: 50% 50%;
	-webkit-transition: -webkit-transform .3s;
	display: block;
	height: 100%;
	left: 0;
	object-fit: cover;
	object-position: 50% 50%;
	position: absolute;
	top: 0;
	transition: -webkit-transform .3s;
	transition: transform .3s;
	transition: transform .3s,-webkit-transform .3s;
	width: 100%;
}

ul.products li.product h2, ul.products li.product h3, ul.products li.product .woocommerce-loop-product__title, ul.products li.product .wc-block-grid__product-title, ul.products .wc-block-grid__product h2, ul.products .wc-block-grid__product h3, ul.products .wc-block-grid__product .woocommerce-loop-product__title, ul.products .wc-block-grid__product .wc-block-grid__product-title, .wc-block-grid__products li.product h2, .wc-block-grid__products li.product h3, .wc-block-grid__products li.product .woocommerce-loop-product__title, .wc-block-grid__products li.product .wc-block-grid__product-title, .wc-block-grid__products .wc-block-grid__product h2, .wc-block-grid__products .wc-block-grid__product h3, .wc-block-grid__products .wc-block-grid__product .woocommerce-loop-product__title, .wc-block-grid__products .wc-block-grid__product .wc-block-grid__product-title {
	font-weight: bold !important;
	text-transform: uppercase;
	font-size: 21px !important;
}

ul.products li.product .price, ul.products .wc-block-grid__product .price, .wc-block-grid__products li.product .price, .wc-block-grid__products .wc-block-grid__product .price {
	display: block;
	color: #26B1E3 !important;
	font-weight: bold !important;
	margin-bottom: 1rem;
	font-size: 20px !important;
}

.site-info a, span[role="separator"] {
	display: none;
}

@media only screen and (min-width:0px) and (max-width:768px){

.logo {
	display: flex;
	justify-content: center;
}

.site-navigation {
	padding: 10px;
}

.primary-navigation-left ul {
	display: flex;
	justify-content: space-around;
}

header .wrapper {
	display: block;
}

.handheld-navigation {
	text-align: left;
	max-width: 400px;
	margin: auto;
}

.main-navigation {
	width: 100%;
}

.wc-block-grid.has-4-columns .wc-block-grid__product {
	flex: 1 0 50%;
	max-width: 50%;
	padding: 0 8px;
}

.footer-widgets.col-4 .block {
	width: 50% !important;
}
}


@media only screen and (min-width:0px) and (max-width:480px){
.wc-block-grid.has-4-columns .wc-block-grid__product {
	flex: 1 0 100%;
	max-width: 100%;
	padding: 10px;
}

.footer-widgets.col-4 .block {
	width: 100% !important;
}
}